DataTree.ProcessTxnResult (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server

## Class DataTree.ProcessTxnResult

- java.lang.Object
- - org.apache.zookeeper.server.DataTree.ProcessTxnResult

- Enclosing class:
    DataTree

      public static class DataTree.ProcessTxnResult
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `clientId`
    `int` | `cxid`
    `int` | `err`
    `List<DataTree.ProcessTxnResult>` | `multiResult`
    `String` | `path`
    `Stat` | `stat`
    `int` | `type`
    `long` | `zxid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessTxnResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Equality is defined as the clientId and the cxid being the same.
    `int` | `hashCode()` See equals() to find the rational for how this hashcode is generated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientId

          public long clientId

    - #### cxid

          public int cxid

    - #### zxid

          public long zxid

    - #### err

          public int err

    - #### type

          public int type

    - #### path

          public String path

    - #### stat

          public Stat stat

    - #### multiResult

          public List<DataTree.ProcessTxnResult> multiResult

  - ### Constructor Detail

    - #### ProcessTxnResult

          public ProcessTxnResult()

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Equality is defined as the clientId and the cxid being the same. This allows us to use hash tables to track completion of transactions.
      Overrides:
        `equals` in class `Object`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### hashCode

          public int hashCode()

      See equals() to find the rational for how this hashcode is generated.
      Overrides:
        `hashCode` in class `Object`
      See Also:
        `equals(Object)`, `Object.hashCode()`

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.